Ruby: rb_trace_arg_struct Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
rb_trace_arg_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
rb_event_flag_t | event
rb_execution_context_t * | ec
const rb_control_frame_t * | cfp
VALUE | self
ID | id
ID | called_id
VALUE | klass
VALUE | data
int | klass_solved
int | lineno
VALUE | path

## Detailed Description

Definition at line 1933 of file vm_core.h.

## Field Documentation

## ◆ called_id

ID rb_trace_arg_struct::called_id

Definition at line 1939 of file vm_core.h.

Referenced by rb_tracearg_callee_id().

## ◆ cfp

const rb_control_frame_t* rb_trace_arg_struct::cfp

Definition at line 1936 of file vm_core.h.

Referenced by rb_tracearg_binding(), and rb_tracearg_parameters().

## ◆ data

VALUE rb_trace_arg_struct::data

Definition at line 1941 of file vm_core.h.

Referenced by rb_tracearg_eval_script(), rb_tracearg_instruction_sequence(), rb_tracearg_object(), rb_tracearg_raised_exception(), rb_tracearg_return_value(), and rb_tracepoint_new().

## ◆ ec

rb_execution_context_t* rb_trace_arg_struct::ec

Definition at line 1935 of file vm_core.h.

Referenced by rb_exec_event_hooks(), rb_tracearg_binding(), and rb_tracearg_parameters().

## ◆ event

rb_event_flag_t rb_trace_arg_struct::event

Definition at line 1934 of file vm_core.h.

Referenced by rb_exec_event_hooks(), rb_suppress_tracing(), rb_tracearg_eval_script(), rb_tracearg_event(), rb_tracearg_event_flag(), rb_tracearg_instruction_sequence(), rb_tracearg_object(), rb_tracearg_parameters(), rb_tracearg_raised_exception(), and rb_tracearg_return_value().

## ◆ id

ID rb_trace_arg_struct::id

Definition at line 1938 of file vm_core.h.

Referenced by rb_tracearg_method_id(), and rb_tracearg_parameters().

## ◆ klass

VALUE rb_trace_arg_struct::klass

Definition at line 1940 of file vm_core.h.

Referenced by rb_tracearg_defined_class(), and rb_tracearg_parameters().

## ◆ klass_solved

int rb_trace_arg_struct::klass_solved

Definition at line 1943 of file vm_core.h.

## ◆ lineno

int rb_trace_arg_struct::lineno

Definition at line 1946 of file vm_core.h.

Referenced by rb_tracearg_lineno().

## ◆ path

VALUE rb_trace_arg_struct::path

Definition at line 1947 of file vm_core.h.

Referenced by rb_tracearg_path().

## ◆ self

VALUE rb_trace_arg_struct::self

Definition at line 1937 of file vm_core.h.

Referenced by rb_exec_event_hooks(), and rb_tracearg_self().

The documentation for this struct was generated from the following file:

- vm_core.h